> ## Documentation Index
> Fetch the complete documentation index at: https://developer.trychart.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Taxpayer

> Refresh taxpayer data.



## OpenAPI

````yaml POST /tax-payer/{id}/refresh
openapi: 3.0.1
info:
  title: Chart API
  description: >-
    Chart Tax API offers real-time collection of verified federal and state tax
    records.
  version: 1.0.0
servers:
  - url: https://api.trychart.com
security:
  - bearerAuth: []
paths:
  /tax-payer/{id}/refresh:
    post:
      description: Refresh taxpayer data.
      parameters:
        - $ref: '#/components/parameters/ChartAPIVersion'
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Taxpaer Refresh Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxpayerRefreshResponse'
components:
  parameters:
    ChartAPIVersion:
      name: Chart-API-Version
      in: header
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2024-01-01.
      schema:
        type: string
        default: '2024-01-01'
  schemas:
    TaxpayerRefreshResponse:
      type: object
      properties:
        jobId:
          type: string
          example: job_12345
        taxpayerId:
          type: string
          example: clxjfvx74000f11di1uq2u8xm
        name:
          type: string
          example: Joe Doe
      required:
        - jobId
        - taxpayerId
        - name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your access_token returned from the /auth/token endpoint.

````